package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 机构用户解绑审核状态
 */
public enum ETenantUnBindAuditStatus implements BaseEnum<String, ETenantUnBindAuditStatus> {

    DOING("审核中"),
    PASS("审核通过"),
    UNPASS("审核不通过"),
    CANCEL("撤销"),
    CLOSE("关闭");

    @EnumValue
    private final String code;
    private final String msg;

    ETenantUnBindAuditStatus(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
